Delete an internal wallet
Deletes an internal wallet by ID.
DELETE
/
internal_wallets
/
{walletId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.internalWallets.deleteInternalWallet(internalWalletsApiDeleteInternalWalletRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.internalWallets().deleteInternalWallet(walletId);response = fireblocks.internal_wallets.delete_internal_wallet(wallet_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/internal_wallets/{walletId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/internal_wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the wallet to delete
Response
OK
Was this page helpful?
Previous
Get an asset from an internal walletReturns information for an asset in an internal wallet.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.internalWallets.deleteInternalWallet(internalWalletsApiDeleteInternalWalletRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.internalWallets().deleteInternalWallet(walletId);response = fireblocks.internal_wallets.delete_internal_wallet(wallet_id);